<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FileTree (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FileTree (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileTree.html" target="_top">Frames</a></li>
<li><a href="FileTree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface FileTree" class="title">Interface FileTree</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/file/ConfigurableFileTree.html" title="interface in org.gradle.api.file">ConfigurableFileTree</a>, <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">FileTree</span>
extends <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></pre>
<div class="block"><p>A <code>FileTree</code> represents a hierarchy of files. It extends <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a> to add hierarchy query and
 manipulation methods. You typically use a <code>FileTree</code> to represent files to copy or the contents of an
 archive.</p>

 <p>You can obtain a <code>FileTree</code> instance using <a href="../../../../org/gradle/api/Project.html#fileTree(java.util.Map)"><code>Project.fileTree(java.util.Map)</code></a>,
 <a href="../../../../org/gradle/api/Project.html#zipTree(java.lang.Object)"><code>Project.zipTree(Object)</code></a> or <a href="../../../../org/gradle/api/Project.html#tarTree(java.lang.Object)"><code>Project.tarTree(Object)</code></a>.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#getAsFileTree()">getAsFileTree</a></strong>()</code>
<div class="block">Returns this.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#getFiles()">getFiles</a></strong>()</code>
<div class="block">Returns the contents of this tree as a flattened Set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#matching(org.gradle.api.Action)">matching</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&gt;&nbsp;filterConfigAction)</code>
<div class="block">Restricts the contents of this tree to those files matching the given filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#matching(groovy.lang.Closure)">matching</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filterConfigClosure)</code>
<div class="block">Restricts the contents of this tree to those files matching the given filter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#matching(org.gradle.api.tasks.util.PatternFilterable)">matching</a></strong>(<a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&nbsp;patterns)</code>
<div class="block">Restricts the contents of this tree to those files matching the given filter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#plus(org.gradle.api.file.FileTree)">plus</a></strong>(<a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;fileTree)</code>
<div class="block">Returns a <code>FileTree</code> which contains the union of this tree and the given tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#visit(org.gradle.api.Action)">visit</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file">FileVisitDetails</a>&gt;&nbsp;visitor)</code>
<div class="block">Visits the files and directories in this file tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#visit(groovy.lang.Closure)">visit</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;visitor)</code>
<div class="block">Visits the files and directories in this file tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTree.html#visit(org.gradle.api.file.FileVisitor)">visit</a></strong>(<a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file">FileVisitor</a>&nbsp;visitor)</code>
<div class="block">Visits the files and directories in this file tree.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.html#add(org.gradle.api.file.FileCollection)">add</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String,%20org.gradle.api.file.FileCollection.AntType)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#asType(java.lang.Class)">asType</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#contains(java.io.File)">contains</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(groovy.lang.Closure)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(org.gradle.api.specs.Spec)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getAsPath()">getAsPath</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getSingleFile()">getSingleFile</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#isEmpty()">isEmpty</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#minus(org.gradle.api.file.FileCollection)">minus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#plus(org.gradle.api.file.FileCollection)">plus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#stopExecutionIfEmpty()">stopExecutionIfEmpty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="matching(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;matching(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;filterConfigClosure)</pre>
<div class="block"><p>Restricts the contents of this tree to those files matching the given filter. The filtered tree is live, so
 that any changes to this tree are reflected in the filtered tree.</p>

 <p>The given closure is used to configure the filter. A <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>PatternFilterable</code></a> is
 passed to the closure as its delegate. Only files which match the specified include patterns will be included in
 the filtered tree. Any files which match the specified exclude patterns will be excluded from the filtered
 tree.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filterConfigClosure</code> - the closure to use to configure the filter.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The filtered tree.</dd></dl>
</li>
</ul>
<a name="matching(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;matching(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&gt;&nbsp;filterConfigAction)</pre>
<div class="block"><p>Restricts the contents of this tree to those files matching the given filter. The filtered tree is live, so
 that any changes to this tree are reflected in the filtered tree.</p>

 <p>The given action is used to configure the filter. A <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util"><code>PatternFilterable</code></a> is
 passed to the action. Only files which match the specified include patterns will be included in
 the filtered tree. Any files which match the specified exclude patterns will be excluded from the filtered
 tree.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>filterConfigAction</code> - Action to use to configure the filter.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The filtered tree.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd></dl>
</li>
</ul>
<a name="matching(org.gradle.api.tasks.util.PatternFilterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;matching(<a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&nbsp;patterns)</pre>
<div class="block"><p>Restricts the contents of this tree to those files matching the given filter. The filtered tree is live, so
 that any changes to this tree are reflected in the filtered tree.</p>

 <p>The given pattern set is used to configure the filter. Only files which match the specified include patterns
 will be included in the filtered tree. Any files which match the specified exclude patterns will be excluded from
 the filtered tree.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>patterns</code> - the pattern set to use to configure the filter.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The filtered tree.</dd></dl>
</li>
</ul>
<a name="visit(org.gradle.api.file.FileVisitor)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visit</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;visit(<a href="../../../../org/gradle/api/file/FileVisitor.html" title="interface in org.gradle.api.file">FileVisitor</a>&nbsp;visitor)</pre>
<div class="block">Visits the files and directories in this file tree. Files are visited in depth-first prefix order, so that a directory
 is visited before its children.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>visitor</code> - The visitor.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="visit(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visit</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;visit(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;visitor)</pre>
<div class="block">Visits the files and directories in this file tree. Files are visited in depth-first prefix order, so that a directory
 is visited before its children. The file/directory to be visited is passed to the given closure as a <a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file"><code>FileVisitDetails</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>visitor</code> - The visitor.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="visit(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visit</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;visit(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file">FileVisitDetails</a>&gt;&nbsp;visitor)</pre>
<div class="block">Visits the files and directories in this file tree. Files are visited in depth-first prefix order, so that a directory
 is visited before its children. The file/directory to be visited is passed to the given action as a <a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file"><code>FileVisitDetails</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>visitor</code> - The visitor.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="plus(org.gradle.api.file.FileTree)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plus</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;plus(<a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;fileTree)</pre>
<div class="block">Returns a <code>FileTree</code> which contains the union of this tree and the given tree. The returned tree is live,
 so that changes to either this tree or the other source tree are reflected in the returned tree.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>fileTree</code> - The tree. Should not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The union of this tree and the given tree.</dd></dl>
</li>
</ul>
<a name="getAsFileTree()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsFileTree</h4>
<pre><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getAsFileTree()</pre>
<div class="block">Returns this.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/file/FileCollection.html#getAsFileTree()">getAsFileTree</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getFiles()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFiles</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getFiles()</pre>
<div class="block">Returns the contents of this tree as a flattened Set.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/file/FileCollection.html#getFiles()">getFiles</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The files. Returns an empty set if this tree is empty.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileSystemLocation.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileTreeElement.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileTree.html" target="_top">Frames</a></li>
<li><a href="FileTree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
